### Constructor

# WebKit2 WebView new_with_related_view

#### Declaration [src]

    GtkWidget*
    webkit_web_view_new_with_related_view (
      WebKitWebView* web_view
    )

#### Description [src]

Creates a new `WebKitWebView` sharing the same web process with `web_view`.

This method doesn’t have any effect when `WEBKIT_PROCESS_MODEL_SHARED_SECONDARY_PROCESS` process model is used, because a single web process is shared for all the web views in the same `WebKitWebContext`. When using `WEBKIT_PROCESS_MODEL_MULTIPLE_SECONDARY_PROCESSES` process model, this method should always be used when creating the `WebKitWebView` in the `WebKitWebView::create` signal. You can also use this method to implement other process models based on `WEBKIT_PROCESS_MODEL_MULTIPLE_SECONDARY_PROCESSES`, like for example, sharing the same web process for all the views in the same security domain.

The newly created `WebKitWebView` will also have the same `WebKitUserContentManager`, `WebKitSettings`, and `WebKitWebsitePolicies` as `web_view`.

Available since: | 2.4

#### Parameters

`web_view` | `WebKitWebView`
| The related `WebKitWebView`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| The newly created `WebKitWebView` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.